/* jsTree default theme */
.jstree-node,
.jstree-children,
.jstree-container-ul {
  display: block;
  margin: 0;
  padding: 0;
  list-style-type: none;
  list-style-image: none;
}
.jstree-node {
  white-space: nowrap;
}
.jstree-anchor {
  display: inline-block;
  color: black;
  white-space: nowrap;
  padding: 0 0.25em 0 0.0625em;
  margin: 0;
  vertical-align: top;
}
.jstree-anchor:focus {
  outline: 0;
}
.jstree-anchor,
.jstree-anchor:link,
.jstree-anchor:visited,
.jstree-anchor:hover,
.jstree-anchor:active {
  text-decoration: none;
  color: inherit;
}
.jstree-icon {
  display: inline-block;
  text-decoration: none;
  margin: 0;
  padding: 0;
  vertical-align: top;
  text-align: center;
}
.jstree-icon:empty {
  display: inline-block;
  text-decoration: none;
  margin: 0;
  padding: 0;
  vertical-align: top;
  text-align: center;
}
.jstree-ocl {
  cursor: pointer;
}
.jstree-leaf > .jstree-ocl {
  cursor: default;
}
.jstree .jstree-open > .jstree-children {
  display: block;
}
.jstree .jstree-closed > .jstree-children,
.jstree .jstree-leaf > .jstree-children {
  display: none;
}
.jstree-anchor > .jstree-themeicon {
  margin-right: 0.125em;
}
.jstree-no-icons .jstree-themeicon,
.jstree-anchor > .jstree-themeicon-hidden {
  display: none;
}
.jstree-hidden,
.jstree-node.jstree-hidden {
  display: none;
}
.jstree-rtl .jstree-anchor {
  padding: 0 0.0625em 0 0.25em;
}
.jstree-rtl .jstree-anchor > .jstree-themeicon {
  margin-left: 0.125em;
  margin-right: 0;
}
.jstree-rtl .jstree-node {
  margin-left: 0;
}
.jstree-rtl .jstree-container-ul > .jstree-node {
  margin-right: 0;
}
.jstree-wholerow-ul {
  position: relative;
  display: inline-block;
  min-width: 100%;
}
.jstree-wholerow-ul .jstree-leaf > .jstree-ocl {
  cursor: pointer;
}
.jstree-wholerow-ul .jstree-anchor,
.jstree-wholerow-ul .jstree-icon {
  position: relative;
}
.jstree-wholerow-ul .jstree-wholerow {
  width: 100%;
  cursor: pointer;
  position: absolute;
  left: 0;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.jstree-contextmenu .jstree-anchor {
  -webkit-user-select: none;
  /* disable selection/Copy of UIWebView */
  -webkit-touch-callout: none;
  /* disable the IOS popup when long-press on a link */
}
.vakata-context {
  display: none;
}
.vakata-context,
.vakata-context ul {
  margin: 0;
  padding: 0.125em;
  position: absolute;
  background: #f5f5f5;
  border: 0.0625em solid #979797;
  box-shadow: 0.125em 0.125em 0.125em #999999;
}
.vakata-context ul {
  list-style: none;
  left: 100%;
  margin-top: -2.7em;
  margin-left: -0.25em;
}
.vakata-context .vakata-context-right ul {
  left: auto;
  right: 100%;
  margin-left: auto;
  margin-right: -0.25em;
}
.vakata-context li {
  list-style: none;
}
.vakata-context li > a {
  display: block;
  padding: 0 2em 0 2em;
  text-decoration: none;
  width: auto;
  color: black;
  white-space: nowrap;
  line-height: 2.4em;
  text-shadow: 0.0625em 0.0625em 0 white;
  border-radius: 0.0625em;
}
.vakata-context li > a:hover {
  position: relative;
  background-color: #e8eff7;
  box-shadow: 0 0 0.125em #0a6aa1;
}
.vakata-context li > a.vakata-context-parent {
  background-image: url("data:image/gif;base64,R0lGODlhCwAHAIAAACgoKP///yH5BAEAAAEALAAAAAALAAcAAAIORI4JlrqN1oMSnmmZDQUAOw==");
  background-position: right center;
  background-repeat: no-repeat;
}
.vakata-context li > a:focus {
  outline: 0;
}
.vakata-context .vakata-context-hover > a {
  position: relative;
  background-color: #e8eff7;
  box-shadow: 0 0 0.125em #0a6aa1;
}
.vakata-context .vakata-context-separator > a,
.vakata-context .vakata-context-separator > a:hover {
  background: white;
  border: 0;
  border-top: 0.0625em solid #e2e3e3;
  height: 0.0625em;
  min-height: 0.0625em;
  max-height: 0.0625em;
  padding: 0;
  margin: 0 0 0 2.4em;
  border-left: 0.0625em solid #e0e0e0;
  text-shadow: 0 0 0 transparent;
  box-shadow: 0 0 0 transparent;
  border-radius: 0;
}
.vakata-context .vakata-contextmenu-disabled a,
.vakata-context .vakata-contextmenu-disabled a:hover {
  color: silver;
  background-color: transparent;
  border: 0;
  box-shadow: 0 0 0;
}
.vakata-context .vakata-contextmenu-disabled > a > i {
  filter: grayscale(100%);
}
.vakata-context li > a > i {
  text-decoration: none;
  display: inline-block;
  width: 2.4em;
  height: 2.4em;
  background: transparent;
  margin: 0 0 0 -2em;
  vertical-align: top;
  text-align: center;
  line-height: 2.4em;
}
.vakata-context li > a > i:empty {
  width: 2.4em;
  line-height: 2.4em;
}
.vakata-context li > a .vakata-contextmenu-sep {
  display: inline-block;
  width: 0.0625em;
  height: 2.4em;
  background: white;
  margin: 0 0.5em 0 0;
  border-left: 0.0625em solid #e2e3e3;
}
.vakata-context .vakata-contextmenu-shortcut {
  font-size: 0.8em;
  color: silver;
  opacity: 0.5;
  display: none;
}
.vakata-context-rtl ul {
  left: auto;
  right: 100%;
  margin-left: auto;
  margin-right: -0.25em;
}
.vakata-context-rtl li > a.vakata-context-parent {
  background-image: url("data:image/gif;base64,R0lGODlhCwAHAIAAACgoKP///yH5BAEAAAEALAAAAAALAAcAAAINjI+AC7rWHIsPtmoxLAA7");
  background-position: left center;
  background-repeat: no-repeat;
}
.vakata-context-rtl .vakata-context-separator > a {
  margin: 0 2.4em 0 0;
  border-left: 0;
  border-right: 0.0625em solid #e2e3e3;
}
.vakata-context-rtl .vakata-context-left ul {
  right: auto;
  left: 100%;
  margin-left: -0.25em;
  margin-right: auto;
}
.vakata-context-rtl li > a > i {
  margin: 0 -2em 0 0;
}
.vakata-context-rtl li > a .vakata-contextmenu-sep {
  margin: 0 0 0 0.5em;
  border-left-color: white;
  background: #e2e3e3;
}
#jstree-marker {
  position: absolute;
  top: 0;
  left: 0;
  margin: -0.3125em 0 0 0;
  padding: 0;
  border-right: 0;
  border-top: 0.3125em solid transparent;
  border-bottom: 0.3125em solid transparent;
  border-left: 0.3125em solid;
  width: 0;
  height: 0;
  font-size: 0;
  line-height: 0;
}
#jstree-dnd {
  line-height: 1em;
  margin: 0;
  padding: 0.25em;
}
#jstree-dnd .jstree-icon,
#jstree-dnd .jstree-copy {
  display: inline-block;
  text-decoration: none;
  margin: 0 0.125em 0 0;
  padding: 0;
  width: 1em;
  height: 1em;
}
#jstree-dnd .jstree-ok {
  background: green;
}
#jstree-dnd .jstree-er {
  background: red;
}
#jstree-dnd .jstree-copy {
  margin: 0 0.125em 0 0.125em;
}
.jstree-default .jstree-node,
.jstree-default .jstree-icon {
  background-repeat: no-repeat;
  background-color: transparent;
}
.jstree-default .jstree-anchor,
.jstree-default .jstree-animated,
.jstree-default .jstree-wholerow {
  transition: background-color 0.15s, box-shadow 0.15s;
}
.jstree-default .jstree-hovered {
  background: #3A3A3A;
  border-radius: 0.125em;
  box-shadow: inset 0 0 0.0625em #cccccc;
}
.jstree-default .jstree-context {
  background: #3A3A3A;
  border-radius: 0.125em;
  box-shadow: inset 0 0 0.0625em #cccccc;
}
.jstree-default .jstree-clicked {
  background: #4F4F4F;
  border-radius: 0.125em;
  box-shadow: inset 0 0 0.0625em #999999;
}
.jstree-default .jstree-no-icons .jstree-anchor > .jstree-themeicon {
  display: none;
}
.jstree-default .jstree-disabled {
  background: transparent;
  color: #666666;
}
.jstree-default .jstree-disabled.jstree-hovered {
  background: transparent;
  box-shadow: none;
}
.jstree-default .jstree-disabled.jstree-clicked {
  background: #efefef;
}
.jstree-default .jstree-disabled > .jstree-icon {
  opacity: 0.8;
  filter: url("data:image/svg+xml;utf8,<svg xmlns=\'http://www.w3.org/2000/svg\'><filter id=\'jstree-grayscale\'><feColorMatrix type=\'matrix\' values=\'0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0\'/></filter></svg>#jstree-grayscale");
  /* Firefox 10+ */
  filter: gray;
  /* IE6-9 */
  -webkit-filter: grayscale(100%);
  /* Chrome 19+ & Safari 6+ */
}
.jstree-default .jstree-search {
  font-style: italic;
  color: #8b0000;
  font-weight: bold;
}
.jstree-default .jstree-no-checkboxes .jstree-checkbox {
  display: none !important;
}
.jstree-default.jstree-checkbox-no-clicked .jstree-clicked {
  background: transparent;
  box-shadow: none;
}
.jstree-default.jstree-checkbox-no-clicked .jstree-clicked.jstree-hovered {
  background: #e7f4f9;
}
.jstree-default.jstree-checkbox-no-clicked > .jstree-wholerow-ul .jstree-wholerow-clicked {
  background: transparent;
}
.jstree-default.jstree-checkbox-no-clicked > .jstree-wholerow-ul .jstree-wholerow-clicked.jstree-wholerow-hovered {
  background: #e7f4f9;
}
.jstree-default > .jstree-striped {
  min-width: 100%;
  display: inline-block;
  background: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAAkCAMAAAB/qqA+AAAABlBMVEUAAAAAAAClZ7nPAAAAAnRSTlMNAMM9s3UAAAAXSURBVHjajcEBAQAAAIKg/H/aCQZ70AUBjAATb6YPDgAAAABJRU5ErkJggg==") left top repeat;
}
.jstree-default > .jstree-wholerow-ul .jstree-hovered,
.jstree-default > .jstree-wholerow-ul .jstree-clicked {
  background: transparent;
  box-shadow: none;
  border-radius: 0;
}
.jstree-default .jstree-wholerow {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
.jstree-default .jstree-wholerow-hovered {
  background: #2e2e2e;
}
.jstree-default .jstree-wholerow-clicked {
  background: #3E3E3B;
}
.jstree-default .jstree-node {
  min-height: 1.5em;
  line-height: 1.5em;
  margin-left: 0.5em;
  min-width: 1.5em;
}
.jstree-default .jstree-anchor {
  line-height: 1.5em;
  height: 1.5em;
}
.jstree-default .jstree-icon {
  width: 1.5em;
  height: 1.5em;
  line-height: 1.5em;
}
.jstree-default .jstree-icon:empty {
  width: 1.5em;
  height: 1.5em;
  line-height: 1.5em;
}
.jstree-default.jstree-rtl .jstree-node {
  margin-right: 1.5em;
}
.jstree-default .jstree-wholerow {
  height: 1.5em;
}
.jstree-default .jstree-node,
.jstree-default .jstree-icon {
  background-image: url("../resources/jstree/32px.png");
}
.jstree-default .jstree-node {
  background-image: none;
}
.jstree-default .jstree-last {
  background: transparent;
}
.jstree-default .jstree-open > .jstree-ocl {
  background-image: url("../resources/shared/filesystem/filesystem_close_toggle_dark.svg");
  background-repeat: none;
  background-position: center;
  background-size: 0.5em 0.375em;
  transform: translateX(0.25em);
}
.jstree-default .jstree-closed > .jstree-ocl {
  background-image: url("../resources/shared/filesystem/filesystem_open_toggle_dark.svg");
  background-repeat: none;
  background-position: center;
  background-size: 0.375em 0.5em;
  transform: translateX(0.25em);
}
.jstree-default .jstree-leaf > .jstree-ocl {
  background-image: none;
}
.jstree-default .jstree-themeicon {
  background: url("../resources/shared/filesystem/filesystem_default_folder.svg") center center no-repeat;
  background-size: 1em 1em;
}
.jstree-default > .jstree-no-dots .jstree-node,
.jstree-default > .jstree-no-dots .jstree-leaf > .jstree-ocl {
  background: transparent;
}
/* .jstree-default > .jstree-no-dots .jstree-open > .jstree-ocl {
  background-position: -2.25em -0.25em;
}
.jstree-default > .jstree-no-dots .jstree-closed > .jstree-ocl {
  background-position: -0.25em -0.25em;
} */
.jstree-default .jstree-disabled {
  background: transparent;
}
.jstree-default .jstree-disabled.jstree-hovered {
  background: transparent;
}
.jstree-default .jstree-disabled.jstree-clicked {
  background: #efefef;
}
.jstree-default .jstree-checkbox {
  background-position: -10.25em -0.25em;
}
.jstree-default .jstree-checkbox:hover {
  background-position: -10.25em -2.25em;
}
.jstree-default.jstree-checkbox-selection .jstree-clicked > .jstree-checkbox,
.jstree-default .jstree-checked > .jstree-checkbox {
  background-position: -14.25em -0.25em;
}
.jstree-default.jstree-checkbox-selection .jstree-clicked > .jstree-checkbox:hover,
.jstree-default .jstree-checked > .jstree-checkbox:hover {
  background-position: -14.25em -2.25em;
}
.jstree-default .jstree-anchor > .jstree-undetermined {
  background-position: -12.25em -0.25em;
}
.jstree-default .jstree-anchor > .jstree-undetermined:hover {
  background-position: -12.25em -2.25em;
}
.jstree-default .jstree-checkbox-disabled {
  opacity: 0.8;
  filter: url("data:image/svg+xml;utf8,<svg xmlns=\'http://www.w3.org/2000/svg\'><filter id=\'jstree-grayscale\'><feColorMatrix type=\'matrix\' values=\'0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0\'/></filter></svg>#jstree-grayscale");
  /* Firefox 10+ */
  filter: gray;
  /* IE6-9 */
  -webkit-filter: grayscale(100%);
  /* Chrome 19+ & Safari 6+ */
}
.jstree-default > .jstree-striped {
  background-size: auto 3em;
}
.jstree-default.jstree-rtl .jstree-node {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAACAQMAAAB49I5GAAAABlBMVEUAAAAdHRvEkCwcAAAAAXRSTlMAQObYZgAAAAxJREFUCNdjAAMOBgAAGAAJMwQHdQAAAABJRU5ErkJggg==");
  background-position: 100% 0.0625em;
  background-repeat: repeat-y;
}
.jstree-default.jstree-rtl .jstree-last {
  background: transparent;
}
.jstree-default.jstree-rtl .jstree-open > .jstree-ocl {
  background-position: -8.25em -2.25em;
}
.jstree-default.jstree-rtl .jstree-closed > .jstree-ocl {
  background-position: -6.25em -2.25em;
}
.jstree-default.jstree-rtl .jstree-leaf > .jstree-ocl {
  background-position: -4.25em -2.25em;
}
.jstree-default.jstree-rtl > .jstree-no-dots .jstree-node,
.jstree-default.jstree-rtl > .jstree-no-dots .jstree-leaf > .jstree-ocl {
  background: transparent;
}
.jstree-default.jstree-rtl > .jstree-no-dots .jstree-open > .jstree-ocl {
  background-position: -2.25em -2.25em;
}
.jstree-default.jstree-rtl > .jstree-no-dots .jstree-closed > .jstree-ocl {
  background-position: -0.25em -2.25em;
}
.jstree-default .jstree-themeicon-custom {
  background-color: transparent;
  background-image: none;
  background-position: 0 0;
}
.jstree-default > .jstree-container-ul .jstree-loading > .jstree-ocl {
  background: url("../resources/jstree/throbber.gif") center center no-repeat;
}
.jstree-default .jstree-file {
  background: url("../resources/shared/filesystem/filesystem_default_file.svg") center center no-repeat;
  background-size: 1em 1em;
}
.jstree-default .jstree-folder {
  background: url("../resources/jstree/32px.png") -16.25em -0.25em no-repeat;
}
.jstree-default > .jstree-container-ul > .jstree-node {
  margin-left: 0;
  margin-right: 0;
}
#jstree-dnd.jstree-default {
  line-height: 1.5em;
  padding: 0 0.25em;
}
#jstree-dnd.jstree-default .jstree-ok,
#jstree-dnd.jstree-default .jstree-er {
  background-image: url("../resources/jstree/32px.png");
  background-repeat: no-repeat;
  background-color: transparent;
}
#jstree-dnd.jstree-default i {
  background: transparent;
  width: 1.5em;
  height: 1.5em;
  line-height: 1.5em;
}
#jstree-dnd.jstree-default .jstree-ok {
  background-position: -0.25em -4.25em;
}
#jstree-dnd.jstree-default .jstree-er {
  background-position: -2.25em -4.25em;
}
.jstree-default .jstree-ellipsis {
  overflow: hidden;
}
.jstree-default .jstree-ellipsis .jstree-anchor {
  width: calc(100% - 1.8125em);
  text-overflow: ellipsis;
  overflow: hidden;
}
.jstree-default.jstree-rtl .jstree-node {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAACAQMAAAB49I5GAAAABlBMVEUAAAAdHRvEkCwcAAAAAXRSTlMAQObYZgAAAAxJREFUCNdjAAMOBgAAGAAJMwQHdQAAAABJRU5ErkJggg==");
}
.jstree-default.jstree-rtl .jstree-last {
  background: transparent;
}
.jstree-default-small .jstree-node {
  min-height: 1.125em;
  line-height: 1.125em;
  margin-left: 1.125em;
  min-width: 1.125em;
}
.jstree-default-small .jstree-anchor {
  line-height: 1.125em;
  height: 1.125em;
}
.jstree-default-small .jstree-icon {
  width: 1.125em;
  height: 1.125em;
  line-height: 1.125em;
}
.jstree-default-small .jstree-icon:empty {
  width: 1.125em;
  height: 1.125em;
  line-height: 1.125em;
}
.jstree-default-small.jstree-rtl .jstree-node {
  margin-right: 1.125em;
}
.jstree-default-small .jstree-wholerow {
  height: 1.125em;
}
.jstree-default-small .jstree-node,
.jstree-default-small .jstree-icon {
  background-image: url("../resources/jstree/32px.png");
}
.jstree-default-small .jstree-node {
  background-position: -18.4375em -0.4375em;
  background-repeat: repeat-y;
}
.jstree-default-small .jstree-last {
  background: transparent;
}
.jstree-default-small .jstree-open > .jstree-ocl {
  background-position: -8.4375em -0.4375em;
}
.jstree-default-small .jstree-closed > .jstree-ocl {
  background-position: -6.4375em -0.4375em;
}
.jstree-default-small .jstree-leaf > .jstree-ocl {
  background-position: -4.4375em -0.4375em;
}
.jstree-default-small .jstree-themeicon {
  background-position: -16.4375em -0.4375em;
}
.jstree-default-small > .jstree-no-dots .jstree-node,
.jstree-default-small > .jstree-no-dots .jstree-leaf > .jstree-ocl {
  background: transparent;
}
.jstree-default-small > .jstree-no-dots .jstree-open > .jstree-ocl {
  background-position: -2.4375em -0.4375em;
}
.jstree-default-small > .jstree-no-dots .jstree-closed > .jstree-ocl {
  background-position: -0.4375em -0.4375em;
}
.jstree-default-small .jstree-disabled {
  background: transparent;
}
.jstree-default-small .jstree-disabled.jstree-hovered {
  background: transparent;
}
.jstree-default-small .jstree-disabled.jstree-clicked {
  background: #efefef;
}
.jstree-default-small .jstree-checkbox {
  background-position: -10.4375em -0.4375em;
}
.jstree-default-small .jstree-checkbox:hover {
  background-position: -10.4375em -2.4375em;
}
.jstree-default-small.jstree-checkbox-selection .jstree-clicked > .jstree-checkbox,
.jstree-default-small .jstree-checked > .jstree-checkbox {
  background-position: -14.4375em -0.4375em;
}
.jstree-default-small.jstree-checkbox-selection .jstree-clicked > .jstree-checkbox:hover,
.jstree-default-small .jstree-checked > .jstree-checkbox:hover {
  background-position: -14.4375em -2.4375em;
}
.jstree-default-small .jstree-anchor > .jstree-undetermined {
  background-position: -12.4375em -0.4375em;
}
.jstree-default-small .jstree-anchor > .jstree-undetermined:hover {
  background-position: -12.4375em -2.4375em;
}
.jstree-default-small .jstree-checkbox-disabled {
  opacity: 0.8;
  filter: url("data:image/svg+xml;utf8,<svg xmlns=\'http://www.w3.org/2000/svg\'><filter id=\'jstree-grayscale\'><feColorMatrix type=\'matrix\' values=\'0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0\'/></filter></svg>#jstree-grayscale");
  /* Firefox 10+ */
  filter: gray;
  /* IE6-9 */
  -webkit-filter: grayscale(100%);
  /* Chrome 19+ & Safari 6+ */
}
.jstree-default-small > .jstree-striped {
  background-size: auto 2.25em;
}
.jstree-default-small.jstree-rtl .jstree-node {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAACAQMAAAB49I5GAAAABlBMVEUAAAAdHRvEkCwcAAAAAXRSTlMAQObYZgAAAAxJREFUCNdjAAMOBgAAGAAJMwQHdQAAAABJRU5ErkJggg==");
  background-position: 100% 0.0625em;
  background-repeat: repeat-y;
}
.jstree-default-small.jstree-rtl .jstree-last {
  background: transparent;
}
.jstree-default-small.jstree-rtl .jstree-open > .jstree-ocl {
  background-position: -8.4375em -2.4375em;
}
.jstree-default-small.jstree-rtl .jstree-closed > .jstree-ocl {
  background-position: -6.4375em -2.4375em;
}
.jstree-default-small.jstree-rtl .jstree-leaf > .jstree-ocl {
  background-position: -4.4375em -2.4375em;
}
.jstree-default-small.jstree-rtl > .jstree-no-dots .jstree-node,
.jstree-default-small.jstree-rtl > .jstree-no-dots .jstree-leaf > .jstree-ocl {
  background: transparent;
}
.jstree-default-small.jstree-rtl > .jstree-no-dots .jstree-open > .jstree-ocl {
  background-position: -2.4375em -2.4375em;
}
.jstree-default-small.jstree-rtl > .jstree-no-dots .jstree-closed > .jstree-ocl {
  background-position: -0.4375em -2.4375em;
}
.jstree-default-small .jstree-themeicon-custom {
  background-color: transparent;
  background-image: none;
  background-position: 0 0;
}
.jstree-default-small > .jstree-container-ul .jstree-loading > .jstree-ocl {
  background: url("../resources/jstree/throbber.gif") center center no-repeat;
}
.jstree-default-small .jstree-file {
  background: url("../resources/jstree/32px.png") -6.4375em -4.4375em no-repeat;
}
.jstree-default-small .jstree-folder {
  background: url("../resources/jstree/32px.png") -16.4375em -0.4375em no-repeat;
}
.jstree-default-small > .jstree-container-ul > .jstree-node {
  margin-left: 0;
  margin-right: 0;
}
#jstree-dnd.jstree-default-small {
  line-height: 1.125em;
  padding: 0 0.25em;
}
#jstree-dnd.jstree-default-small .jstree-ok,
#jstree-dnd.jstree-default-small .jstree-er {
  background-image: url("../resources/jstree/32px.png");
  background-repeat: no-repeat;
  background-color: transparent;
}
#jstree-dnd.jstree-default-small i {
  background: transparent;
  width: 1.125em;
  height: 1.125em;
  line-height: 1.125em;
}
#jstree-dnd.jstree-default-small .jstree-ok {
  background-position: -0.4375em -4.4375em;
}
#jstree-dnd.jstree-default-small .jstree-er {
  background-position: -2.4375em -4.4375em;
}
.jstree-default-small .jstree-ellipsis {
  overflow: hidden;
}
.jstree-default-small .jstree-ellipsis .jstree-anchor {
  width: calc(100% - 1.4375em);
  text-overflow: ellipsis;
  overflow: hidden;
}
.jstree-default-small.jstree-rtl .jstree-node {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABIAAAACAQMAAABv1h6PAAAABlBMVEUAAAAdHRvEkCwcAAAAAXRSTlMAQObYZgAAAAxJREFUCNdjAAMHBgAAiABBI4gz9AAAAABJRU5ErkJggg==");
}
.jstree-default-small.jstree-rtl .jstree-last {
  background: transparent;
}
.jstree-default-large .jstree-node {
  min-height: 2em;
  line-height: 2em;
  margin-left: 2em;
  min-width: 2em;
}
.jstree-default-large .jstree-anchor {
  line-height: 2em;
  height: 2em;
}
.jstree-default-large .jstree-icon {
  width: 2em;
  height: 2em;
  line-height: 2em;
}
.jstree-default-large .jstree-icon:empty {
  width: 2em;
  height: 2em;
  line-height: 2em;
}
.jstree-default-large.jstree-rtl .jstree-node {
  margin-right: 2em;
}
.jstree-default-large .jstree-wholerow {
  height: 2em;
}
.jstree-default-large .jstree-node,
.jstree-default-large .jstree-icon {
  background-image: url("../resources/jstree/32px.png");
}
.jstree-default-large .jstree-node {
  background-position: -18em 0em;
  background-repeat: repeat-y;
}
.jstree-default-large .jstree-last {
  background: transparent;
}
.jstree-default-large .jstree-open > .jstree-ocl {
  background-position: -8em 0em;
}
.jstree-default-large .jstree-closed > .jstree-ocl {
  background-position: -6em 0em;
}
.jstree-default-large .jstree-leaf > .jstree-ocl {
  background-position: -4em 0em;
}
.jstree-default-large .jstree-themeicon {
  background-position: -16em 0em;
}
.jstree-default-large > .jstree-no-dots .jstree-node,
.jstree-default-large > .jstree-no-dots .jstree-leaf > .jstree-ocl {
  background: transparent;
}
.jstree-default-large > .jstree-no-dots .jstree-open > .jstree-ocl {
  background-position: -2em 0em;
}
.jstree-default-large > .jstree-no-dots .jstree-closed > .jstree-ocl {
  background-position: 0em 0em;
}
.jstree-default-large .jstree-disabled {
  background: transparent;
}
.jstree-default-large .jstree-disabled.jstree-hovered {
  background: transparent;
}
.jstree-default-large .jstree-disabled.jstree-clicked {
  background: #efefef;
}
.jstree-default-large .jstree-checkbox {
  background-position: -10em 0em;
}
.jstree-default-large .jstree-checkbox:hover {
  background-position: -10em -2em;
}
.jstree-default-large.jstree-checkbox-selection .jstree-clicked > .jstree-checkbox,
.jstree-default-large .jstree-checked > .jstree-checkbox {
  background-position: -14em 0em;
}
.jstree-default-large.jstree-checkbox-selection .jstree-clicked > .jstree-checkbox:hover,
.jstree-default-large .jstree-checked > .jstree-checkbox:hover {
  background-position: -14em -2em;
}
.jstree-default-large .jstree-anchor > .jstree-undetermined {
  background-position: -12em 0em;
}
.jstree-default-large .jstree-anchor > .jstree-undetermined:hover {
  background-position: -12em -2em;
}
.jstree-default-large .jstree-checkbox-disabled {
  opacity: 0.8;
  filter: url("data:image/svg+xml;utf8,<svg xmlns=\'http://www.w3.org/2000/svg\'><filter id=\'jstree-grayscale\'><feColorMatrix type=\'matrix\' values=\'0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0\'/></filter></svg>#jstree-grayscale");
  /* Firefox 10+ */
  filter: gray;
  /* IE6-9 */
  -webkit-filter: grayscale(100%);
  /* Chrome 19+ & Safari 6+ */
}
.jstree-default-large > .jstree-striped {
  background-size: auto 4em;
}
.jstree-default-large.jstree-rtl .jstree-node {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAACAQMAAAB49I5GAAAABlBMVEUAAAAdHRvEkCwcAAAAAXRSTlMAQObYZgAAAAxJREFUCNdjAAMOBgAAGAAJMwQHdQAAAABJRU5ErkJggg==");
  background-position: 100% 0.0625em;
  background-repeat: repeat-y;
}
.jstree-default-large.jstree-rtl .jstree-last {
  background: transparent;
}
.jstree-default-large.jstree-rtl .jstree-open > .jstree-ocl {
  background-position: -8em -2em;
}
.jstree-default-large.jstree-rtl .jstree-closed > .jstree-ocl {
  background-position: -6em -2em;
}
.jstree-default-large.jstree-rtl .jstree-leaf > .jstree-ocl {
  background-position: -4em -2em;
}
.jstree-default-large.jstree-rtl > .jstree-no-dots .jstree-node,
.jstree-default-large.jstree-rtl > .jstree-no-dots .jstree-leaf > .jstree-ocl {
  background: transparent;
}
.jstree-default-large.jstree-rtl > .jstree-no-dots .jstree-open > .jstree-ocl {
  background-position: -2em -2em;
}
.jstree-default-large.jstree-rtl > .jstree-no-dots .jstree-closed > .jstree-ocl {
  background-position: 0em -2em;
}
.jstree-default-large .jstree-themeicon-custom {
  background-color: transparent;
  background-image: none;
  background-position: 0 0;
}
.jstree-default-large > .jstree-container-ul .jstree-loading > .jstree-ocl {
  background: url("../resources/jstree/throbber.gif") center center no-repeat;
}
.jstree-default-large .jstree-file {
  background: url("../resources/jstree/32px.png") -6em -4em no-repeat;
}
.jstree-default-large .jstree-folder {
  background: url("../resources/jstree/32px.png") -16em 0em no-repeat;
}
.jstree-default-large > .jstree-container-ul > .jstree-node {
  margin-left: 0;
  margin-right: 0;
}
#jstree-dnd.jstree-default-large {
  line-height: 2em;
  padding: 0 0.25em;
}
#jstree-dnd.jstree-default-large .jstree-ok,
#jstree-dnd.jstree-default-large .jstree-er {
  background-image: url("../resources/jstree/32px.png");
  background-repeat: no-repeat;
  background-color: transparent;
}
#jstree-dnd.jstree-default-large i {
  background: transparent;
  width: 2em;
  height: 2em;
  line-height: 2em;
}
#jstree-dnd.jstree-default-large .jstree-ok {
  background-position: 0em -4em;
}
#jstree-dnd.jstree-default-large .jstree-er {
  background-position: -2em -4em;
}
.jstree-default-large .jstree-ellipsis {
  overflow: hidden;
}
.jstree-default-large .jstree-ellipsis .jstree-anchor {
  width: calc(100% - 2.3125em);
  text-overflow: ellipsis;
  overflow: hidden;
}
.jstree-default-large.jstree-rtl .jstree-node {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACAAAAACAQMAAAAD0EyKAAAABlBMVEUAAAAdHRvEkCwcAAAAAXRSTlMAQObYZgAAAAxJREFUCNdjgIIGBgABCgCBvVLXcAAAAABJRU5ErkJggg==");
}
.jstree-default-large.jstree-rtl .jstree-last {
  background: transparent;
}
@media (max-width: 48em) {
  #jstree-dnd.jstree-dnd-responsive {
    line-height: 2.5em;
    font-weight: bold;
    font-size: 1.1em;
    text-shadow: 0.0625em 0.0625em white;
  }
  #jstree-dnd.jstree-dnd-responsive > i {
    background: transparent;
    width: 2.5em;
    height: 2.5em;
  }
  #jstree-dnd.jstree-dnd-responsive > .jstree-ok {
    background-image: url("../resources/jstree/40px.png");
    background-position: 0 -12.5em;
    background-size: 7.5em 15em;
  }
  #jstree-dnd.jstree-dnd-responsive > .jstree-er {
    background-image: url("../resources/jstre/40px.png");
    background-position: -2.5em -12.5em;
    background-size: 7.5em 15em;
  }
  #jstree-marker.jstree-dnd-responsive {
    border-left-width: 0.625em;
    border-top-width: 0.625em;
    border-bottom-width: 0.625em;
    margin-top: -0.625em;
  }
}
@media (max-width: 48em) {
  .jstree-default-responsive {
    /*
	.jstree-open > .jstree-ocl,
	.jstree-closed > .jstree-ocl { border-radius:1.25em; background-color:white; }
	*/
  }
  .jstree-default-responsive .jstree-icon {
    background-image: url("../resources/jstree/40px.png");
  }
  .jstree-default-responsive .jstree-node,
  .jstree-default-responsive .jstree-leaf > .jstree-ocl {
    background: transparent;
  }
  .jstree-default-responsive .jstree-node {
    min-height: 2.5em;
    line-height: 2.5em;
    margin-left: 2.5em;
    min-width: 2.5em;
    white-space: nowrap;
  }
  .jstree-default-responsive .jstree-anchor {
    line-height: 2.5em;
    height: 2.5em;
  }
  .jstree-default-responsive .jstree-icon,
  .jstree-default-responsive .jstree-icon:empty {
    width: 2.5em;
    height: 2.5em;
    line-height: 2.5em;
  }
  .jstree-default-responsive > .jstree-container-ul > .jstree-node {
    margin-left: 0;
  }
  .jstree-default-responsive.jstree-rtl .jstree-node {
    margin-left: 0;
    margin-right: 2.5em;
    background: transparent;
  }
  .jstree-default-responsive.jstree-rtl .jstree-container-ul > .jstree-node {
    margin-right: 0;
  }
  .jstree-default-responsive .jstree-ocl,
  .jstree-default-responsive .jstree-themeicon,
  .jstree-default-responsive .jstree-checkbox {
    background-size: 7.5em 15em;
  }
  .jstree-default-responsive .jstree-leaf > .jstree-ocl,
  .jstree-default-responsive.jstree-rtl .jstree-leaf > .jstree-ocl {
    background: transparent;
  }
  .jstree-default-responsive .jstree-open > .jstree-ocl {
    background-position: 0 0 !important;
  }
  .jstree-default-responsive .jstree-closed > .jstree-ocl {
    background-position: 0 -2.5em !important;
  }
  .jstree-default-responsive.jstree-rtl .jstree-closed > .jstree-ocl {
    background-position: -2.5em 0 !important;
  }
  .jstree-default-responsive .jstree-themeicon {
    background-position: -2.5em -2.5em;
  }
  .jstree-default-responsive .jstree-checkbox,
  .jstree-default-responsive .jstree-checkbox:hover {
    background-position: -2.5em -5em;
  }
  .jstree-default-responsive.jstree-checkbox-selection .jstree-clicked > .jstree-checkbox,
  .jstree-default-responsive.jstree-checkbox-selection .jstree-clicked > .jstree-checkbox:hover,
  .jstree-default-responsive .jstree-checked > .jstree-checkbox,
  .jstree-default-responsive .jstree-checked > .jstree-checkbox:hover {
    background-position: 0 -5em;
  }
  .jstree-default-responsive .jstree-anchor > .jstree-undetermined,
  .jstree-default-responsive .jstree-anchor > .jstree-undetermined:hover {
    background-position: 0 -7.5em;
  }
  .jstree-default-responsive .jstree-anchor {
    font-weight: bold;
    font-size: 1.1em;
    text-shadow: 0.0625em 0.0625em white;
  }
  .jstree-default-responsive > .jstree-striped {
    background: transparent;
  }
  .jstree-default-responsive .jstree-wholerow {
    border-top: 0.0625em solid rgba(255, 255, 255, 0.7);
    border-bottom: 0.0625em solid rgba(64, 64, 64, 0.2);
    background: #ebebeb;
    height: 2.5em;
  }
  .jstree-default-responsive .jstree-wholerow-hovered {
    background: #e7f4f9;
  }
  .jstree-default-responsive .jstree-wholerow-clicked {
    background: #beebff;
  }
  .jstree-default-responsive .jstree-children .jstree-last > .jstree-wholerow {
    box-shadow: inset 0 -0.375em 0.1875em -0.3125em #666666;
  }
  .jstree-default-responsive .jstree-children .jstree-open > .jstree-wholerow {
    box-shadow: inset 0 0.375em 0.1875em -0.3125em #666666;
    border-top: 0;
  }
  .jstree-default-responsive .jstree-children .jstree-open + .jstree-open {
    box-shadow: none;
  }
  .jstree-default-responsive .jstree-node,
  .jstree-default-responsive .jstree-icon,
  .jstree-default-responsive .jstree-node > .jstree-ocl,
  .jstree-default-responsive .jstree-themeicon,
  .jstree-default-responsive .jstree-checkbox {
    background-image: url("../resources/jstree/40px.png");
    background-size: 7.5em 15em;
  }
  .jstree-default-responsive .jstree-node {
    background-position: -5em 0;
    background-repeat: repeat-y;
  }
  .jstree-default-responsive .jstree-last {
    background: transparent;
  }
  .jstree-default-responsive .jstree-leaf > .jstree-ocl {
    background-position: -2.5em -7.5em;
  }
  .jstree-default-responsive .jstree-last > .jstree-ocl {
    background-position: -2.5em -10em;
  }
  .jstree-default-responsive .jstree-themeicon-custom {
    background-color: transparent;
    background-image: none;
    background-position: 0 0;
  }
  .jstree-default-responsive .jstree-file {
    background: url("../resources/jstree/40px.png") 0 -10em no-repeat;
    background-size: 7.5em 15em;
  }
  .jstree-default-responsive .jstree-folder {
    background: url("../resources/jstree/40px.png") -2.5em -2.5em no-repeat;
    background-size: 7.5em 15em;
  }
  .jstree-default-responsive > .jstree-container-ul > .jstree-node {
    margin-left: 0;
    margin-right: 0;
  }
}
